FTOS_BP_GetProductDocuments
Returns the information regarding the documents attached to a banking product based on its product code or id.
Syntax
The FTOS_BP_GetProductDocuments custom endpoint is called from within the callAction endpoint. Visit the callAction page for more details.
POST <host_address>/api/openApi/CallAction
Content-Type: application/json
{
"Request":{
"ActionName":"FTOS_BP_GetProductDocuments",
"Data": "{
"productCode": "<product_code>"
}"
},
"ApiInfo":{
"UserName":"<user_name>",
"Token":"<access_token>"
}
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the High Productivity Fintech Infrastructure server. |
| access_token | Access token used to connect to the API endpoint. For details, see GetToken. |
| user_name | The username of an existing user account on the High Productivity Fintech Infrastructure, previously used to get the access token. |
| Data | Key-value pairs of any input parameters to be passed to the internal endpoint in JSON format. Double quotes that enclose string parameter values must be escaped with backslash characters, eg.: \"string value\". |
| productCode | Mandatory when productId is not sent, string. The code of the banking product. |
| productId | Mandatory when productCode is not sent, string. The id of the banking product. |
Response
The response is an object with data from the FTOS_BP_BankingProductDocument entity for the current banking product.
Example
To view the information regarding the documents attached to a specific banking product, send the following request, changing the code of the product with the one you need.
Request
POST https://FintechOSStudio/api/openApi/CallAction
Content-Type: application/json
{
"Request":{
"ActionName":"FTOS_BP_GetProductDocuments",
"Data": "{
"productCode": "TL_ADV"
}"
},
"ApiInfo":{
"UserName":"host",
"Token":"e4fa9110-4cd4-46e0-a6bb-86e6de919590"
}
}
Response
{
"UIResult": {
"NavigateToEntityPage": false,
"NavigateToEntityPageOnEdit": false,
"NavigateToEntityFormName": null,
"NavigateToEntityName": null,
"NavigateToEntityId": null,
"NavigateToEntityInsertDefaults": null,
"NavigateToUrl": null,
"DownloadFile": null,
"ReloadPage": false,
"Message": null,
"IsSuccess": false,
"Data": "[
{
"doc": {
"ReportId": "a16ee9fd-7579-4c75-8492-6bf1c11feb6b",
"IsMandatory": null,
"IsAccord": null
},
"report": {
"DisplayName": "Test_EM"
}
}
]",
"NavigateToPageNo": null
},
"Message": null,
"IsSuccess": true,
"ClientScript": null,
"Serialized": null,
"ErrorCode": 0
}
To view the information regarding the documents attached to a specific banking product, send the following request, changing the id of the product with the one you need.
Request
POST https://FintechOSStudio/api/openApi/CallAction
Content-Type: application/json
{
"Request":{
"ActionName":"FTOS_BP_GetProductDocuments",
"Data": "{
"productId": "EEC720BA-6C32-47AC-9050-3D9D759F043E"
}"
},
"ApiInfo":{
"UserName":"host",
"Token":"e4fa9110-4cd4-46e0-a6bb-86e6de919590"
}
}
Response
{
"UIResult": {
"NavigateToEntityPage": false,
"NavigateToEntityPageOnEdit": false,
"NavigateToEntityFormName": null,
"NavigateToEntityName": null,
"NavigateToEntityId": null,
"NavigateToEntityInsertDefaults": null,
"NavigateToUrl": null,
"DownloadFile": null,
"ReloadPage": false,
"Message": null,
"IsSuccess": false,
"Data": "[
{
"doc": {
"ReportId": "a16ee9fd-7579-4c75-8492-6bf1c11feb6b",
"IsMandatory": null,
"IsAccord": null
},
"report": {
"DisplayName": "Test_EM"
}
}
]",
"NavigateToPageNo": null
},
"Message": null,
"IsSuccess": true,
"ClientScript": null,
"Serialized": null,
"ErrorCode": 0
}